Bug 785005 - JON 3.0.1 RC#1 CLI API Doc is incomplete
JON 3.0.1 RC#1 CLI API Doc is incomplete
Status: CLOSED WORKSFORME
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
3.0.1
Unspecified Unspecified
high Severity high (vote)
: ---
: JON 3.0.1
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-01-26 16:45 EST by Mike Foley
Modified: 2012-02-08 13:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-08 13:33:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2012-01-26 16:45:03 EST
Description of problem:  JON 3.0.1 RC#1  CLI API Doc is incomplete

Specifically, I do not see in the API doc 

1) any object listed in CLI Doc table 2.3 (subject, pretty,rhq)
2) the findResourceByCriteria method from CLI Doc section 2.5


I would expect the CLI API doc to contain all the methods available from the CLI ... or at least that the ones documented elsewhere in the CLI Doc
Comment 1 Mike Foley 2012-01-30 11:26:11 EST
12/30/2012 BZ triage meeting mfoley, ccrouch, loleary, asantos
Comment 2 Deon Ballard 2012-02-07 23:37:21 EST
I am looking at the 3.0 javadoc, so I cannot attest, at the moment, to whether the method is in the 2.4 javadoc. I did find findResourcesByCriteria in the ResourceManager class here (apologies for the long URL):

http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/100/html/API/remote-api/org/rhq/enterprise/server/resource/ResourceManagerRemote.html#findResourcesByCriteria(org.rhq.core.domain.auth.Subject, org.rhq.core.domain.criteria.ResourceCriteria)

Backing up to the other part, about the objects. My understanding is that those are commands specifically for the CLI in interactive mode, not methods that can or should be invoked in a script file or things that should be in the API. I think. I will verify that with dev. At the least, that point should be clear when I redo the docs for 3.1.
Comment 3 Deon Ballard 2012-02-08 13:33:00 EST
Still on comment 2), I checked, and findResourcesByCriteria is also in the 2.4 API.

As for 1), the locations of a lot of those implicit variables is different, of course. Everything in org.rhq.core.domain* is here:

http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/100/html/API/domain/index.html

That's where I found subject, pageControl, and unlimited PC.

There are a fair number of managers in org.rhq.enterprise.server.*, which all seem to be in the normal remote API set.

http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/100/html/API/remote-api/index.html

I cannot find anything in org.rhq.enterprise.client.* in the public APIs. According to Ian, the rhq method is contained in the CLI JAR itself, so I don't think these are public APIs at all, just tools available to the CLI to use.

I can try to make it more clear in the docs where these methods and classes are coming from.

Note You need to log in before you can comment on or make changes to this bug.